Eclipse Platform Release 3.7

## org.eclipse.ui.part
Class CoolItemGroupMarker

    java.lang.Object
      org.eclipse.jface.action.ContributionItem
          org.eclipse.jface.action.AbstractGroupMarker
              org.eclipse.jface.action.GroupMarker
                  org.eclipse.ui.part.CoolItemGroupMarker

All Implemented Interfaces:
  IContributionItem

    public class CoolItemGroupMarker

extends GroupMarker

A group marker used by EditorActionBars to delineate CoolItem groups. Use this marker when contributing to the ToolBar for the EditorActionBar.

This class may be instantiated; it is not intended to be subclassed.

Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`CoolItemGroupMarker(String groupName)` Create a new group marker with the given name.

Method Summary

Methods inherited from class org.eclipse.jface.action.GroupMarker
`isVisible`

Methods inherited from class org.eclipse.jface.action.AbstractGroupMarker
`getGroupName, isGroupMarker`

Methods inherited from class org.eclipse.jface.action.ContributionItem
`dispose, fill, fill, fill, fill, getId, getParent, isDirty, isDynamic, isEnabled, isSeparator, saveWidgetState, setId, setParent, setVisible, toString, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CoolItemGroupMarker

    public CoolItemGroupMarker(String groupName)

  Create a new group marker with the given name. The group name must not be `null` or the empty string. The group name is also used as the item id. Note that CoolItemGroupMarkers must have a group name and the name must be unique.

  Parameters:
    `groupName` - the name of the group

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.